org.eclipse.emf.cdo.spi.server

## Class ContainerRepositoryProvider

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider

- All Implemented Interfaces:
    IRepositoryProvider
  Direct Known Subclasses:
    PluginRepositoryProvider

      public class ContainerRepositoryProvider
      extends java.lang.Object
      implements IRepositoryProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerRepositoryProvider(IManagedContainer container)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IManagedContainer` | `getContainer()`
    `IRepository` | `getRepository(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerRepositoryProvider

          public ContainerRepositoryProvider(IManagedContainer container)

  - ### Method Detail

    - #### getContainer

          public IManagedContainer getContainer()

    - #### getRepository

          public IRepository getRepository(java.lang.String name)

      Specified by:
        `getRepository` in interface `IRepositoryProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html